﻿@model Jumbula.Core.Model.Contact.ContactEditViewModel

@{

    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='Contacts'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Edit contact
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate ng-submit="submit()">

        <fieldset>

            <legend>Primary information</legend>

            <div class="one-half padding-right20 place-left">
                <label class="req-star" for="@Html.Ang(m => m.FirstName)">First name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.FirstName)>
                    <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.FirstName)" ng-model="@Html.Ang(m => m.FirstName)" @Html.AngTooltipValidationFor(model => model.FirstName) />
                </div>
            </div>

            <div class="one-half place-left">
                <label class="req-star" for="@Html.Ang(m => m.LastName)">Last name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.LastName)>
                    <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.LastName)" ng-model="@Html.Ang(m => m.LastName)" @Html.AngTooltipValidationFor(model => model.LastName) />
                </div>
            </div>

            <div>
                <label for="@Html.Ang(m => m.OrganizationId)">Organization</label>
                <div class="input-control select" data-role="input-control">

                    <select ng-disabled="!Model.IsAssignable" ng-class="{'ng-disabled-rewrite': !Model.IsAssignable}" chosen ng-model="Model.OrganizationId"
                            name="Category" data-placeholder="Select organization" id="OrganizationId"
                            ng-options="obj.Value as obj.Text group by obj.Group.Name for obj in Model.Organizations"></select>
                </div>
            </div>

            <div class="clearfix"></div>

            <div ng-if="Model.ShowEmail">
                <label ng-class="{'req-star' : Model.IsPrimary}" for="@Html.Ang(m => m.Email)">Email</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Email)>
                    <input ng-disabled="Model.IsStaff" type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Email)" ng-model="@Html.Ang(m => m.Email)" @Html.AngTooltipValidationFor(model => model.Email) />
                </div>
            </div>

            <div class="clearfix"></div>

            <div ng-if="Model.ShowTitle">
                <label for="@Html.Ang(m => m.Title)">Title</label>
                <div class="input-control select" data-role="input">
                    <select id="Title" ng-model="Model.Title" ng-options="obj.Value as obj.Text for obj in Model.StaffTitles"></select>
                </div>
            </div>

            <div class="clearfix"></div>

            <div ng-if="Model.ShowNickname">
                <label for="@Html.Ang(m => m.Nickname)">Nickname</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Nickname)>
                    <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Nickname)" ng-model="@Html.Ang(m => m.Nickname)" @Html.AngTooltipValidationFor(model => model.Nickname) />
                </div>
            </div>

            <div class="clearfix"></div>
        </fieldset>

        <fieldset ng-if="Model.ShowPhoneNumbersSection">
            <legend>Phone numbers</legend>

            <div ng-if="Model.ShowPhone">
                <div class="two-third place-left padding-right20">
                    <label ng-class="{'req-star' : Model.IsPrimary}" for="@Html.Ang(m => m.Phone)">Phone</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Phone)>
                        <input placeholder="e.g. 1234567890" type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Phone)" ng-model="@Html.Ang(m => m.Phone)" @Html.AngTooltipValidationFor(model => model.Phone) />
                    </div>
                </div>

                <div class="one-third place-left">
                    <label for="@Html.Ang(m => m.PhoneExtension)">Extension</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.PhoneExtension)>
                        <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.PhoneExtension)" ng-model="@Html.Ang(m => m.PhoneExtension)" @Html.AngTooltipValidationFor(model => model.PhoneExtension) />
                    </div>
                </div>
            </div>

            <div ng-if="Model.ShowCellPhone">
                <label for="@Html.Ang(m => m.CellPhone)">Cell phone</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.CellPhone)>
                    <input placeholder="e.g. 1234567890" type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.CellPhone)" ng-model="@Html.Ang(m => m.CellPhone)" @Html.AngTooltipValidationFor(model => model.CellPhone) />
                </div>
            </div>


            <div ng-if="Model.ShowWorkPhone">
                <label for="@Html.Ang(m => m.WorkPhone)">Work phone</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.WorkPhone)>
                    <input placeholder="e.g. 1234567890" type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.WorkPhone)" ng-model="@Html.Ang(m => m.WorkPhone)" @Html.AngTooltipValidationFor(model => model.WorkPhone) />
                </div>
            </div>



            <div class="clearfix"></div>


        </fieldset>

        <fieldset ng-if="Model.ShowAdditionalInfoSection">
            <legend>Additional information</legend>

            <div ng-if="Model.ShowDoB">
                <label for="@Html.Ang(m => m.DoB)">Date of birth</label>
                <div class="input-control date-time" data-role="input-control" @Html.AngValidationClassFor(model => model.DoB)>
                    <div @Html.AngTooltipValidationFor(model => model.DoB)>
                        <input id="dob" k-options="MC.datePickerOptions" kendo-date-picker type="text" ng-model="@Html.Ang(m => m.DoB)" />
                    </div>
                </div>
            </div>

        </fieldset>

        <div class="clearfix"></div>
        <hr />
        <button id="submitButton" type="submit" class="success large place-right">Submit</button>

        <a id="cancelButton" class="place-left button link large" ui-sref='Contacts'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>







